Loading...
Searching...
No Matches
__typeinfo.h File Reference

Type information handling. More...

`#include "cxx/types"`
`#include "cxx/ipc_basics"`
`#include "cxx/capability.h"`
Include dependency graph for __typeinfo.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | L4::Typeid::P_dispatch< LIST >
| Use for protocol based dispatch stage. More...
struct | L4::Typeid::Detail::Rpcs_end
| Internal end-of-list marker. More...
struct | L4::Typeid::Detail::_Rpcs< OPCODE, O, X >
| Empty list of RPCs. More...
struct | L4::Typeid::Detail::_Rpcs< OPCODE, O, R, X... >
| Non-empty list of RPCs. More...
struct | L4::Typeid::Detail::_Rpcs< OPCODE, O, R, X... >::Rpc< Y >
| Find the given RPC in the list. More...
struct | L4::Typeid::Detail::_Rpcs< OPCODE, O, Default_op< R > >::Rpc< Y >
| Find the given RPC in the list. More...
struct | L4::Typeid::Raw_ipc< CLASS >
| RPCs list for passing raw incoming IPC to the server object. More...
struct | L4::Typeid::Rpcs< RPCS >
| Standard list of RPCs of an interface. More...
struct | L4::Typeid::Rpcs_code< OPCODE_TYPE >
| List of RPCs of an interface using a special opcode type. More...
struct | L4::Typeid::Rpcs_code< OPCODE_TYPE >::F< RPCS >
struct | L4::Typeid::Rpc_nocode< OPERATION >
| List of RPCs of an interface using a single operation without an opcode. More...
struct | L4::Typeid::Rpcs_sys< ARG >
| List of RPCs typically used for kernel interfaces. More...
struct | L4::Type_info
| Dynamic Type Information for L4Re Interfaces. More...
class | L4::Type_info::Demand
| Data type for expressing the needed receive buffers at the server-side of an interface. More...
struct | L4::Type_info::Demand_t< CAPS, FLAGS, MEM, PORTS >
| Template type statically describing demand of receive buffers. More...
struct | L4::Type_info::Demand_union_t< D1, D2 >
| Template type statically describing the combination of two Demand object. More...
struct | L4::Kobject_typeid< T >
| Meta object for handling access to type information of Kobjects. More...
struct | L4::Kobject_typeid< void >
| Minimalistic ID for void interface. More...
class | L4::Kobject_t< Derived, Base, PROTO, S_DEMAND >
| Helper class to create an L4Re interface class that is derived from a single base class. More...
class | L4::Kobject_2t< Derived, Base1, Base2, PROTO, S_DEMAND >
| Helper class to create an L4Re interface class that is derived from two base classes (see L4::Kobject_t). More...
struct | L4::Kobject_3t< Derived, Base1, Base2, Base3, PROTO, S_DEMAND >
| Helper class to create an L4Re interface class that is derived from three base classes (see L4::Kobject_t). More...
struct | L4::Proto_t< P >
| Data type for defining protocol numbers. More...

## Namespaces

namespace | L4
| L4 low-level kernel interface.
namespace | L4::Typeid
| Definition of interface data-type helpers.

## Typedefs

typedef int | L4::Opcode
| Data type for RPC opcodes.

## Enumerations

enum | { L4::PROTO_ANY = 0 , L4::PROTO_EMPTY = -19 }

## Functions

template<typename T>
Type_info const * | L4::kobject_typeid () noexcept
| Get the L4::Type_info for the L4Re interface given in T.

## Detailed Description

Type information handling.

Definition in file __typeinfo.h.